// core header file from our library project:
#include "stm8s.h"
#include "uart.h"
#include "timer.h"


/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/

/* Private function prototypes -----------------------------------------------*/


/* Private functions ---------------------------------------------------------*/
/* Public functions ----------------------------------------------------------*/
void GPIO_Config(void)
{
    GPIO_DeInit(GPIOB);

    GPIO_Init(GPIOB, GPIO_PIN_5, GPIO_MODE_OUT_PP_LOW_FAST);
    GPIO_WriteHigh(GPIOB, GPIO_PIN_5);

}

void CLK_Config(void)
{
    /* Initialization of the clock */
    /* Clock divider to HSI/1 */
    CLK_DeInit();
    CLK_SYSCLKConfig(CLK_PRESCALER_CPUDIV1);    // CPU Prescalar = 1.
    CLK_SYSCLKConfig(CLK_PRESCALER_HSIDIV1);    // Prescalar = 1, 16 MHz.
    CLK_ClockSwitchConfig(CLK_SWITCHMODE_AUTO,  // Automatically switch
                            CLK_SOURCE_HSI,       // Switch to internal timer.
                            DISABLE,              // Disable the clock switch interrupt.
                            CLK_CURRENTCLOCKSTATE_DISABLE);
}


/* Private variables ---------------------------------------------------------*/

void main(void)
{

  /* Clock configuration -----------------------------------------*/
  CLK_Config();

  /* GPIO configuration -----------------------------------------*/
  GPIO_Config();

  /* TIM4 configuration -----------------------------------------*/
  TIM4_Config();


  //GPIO_WriteReverse(GPIOB, GPIO_PIN_5);
  while (1)
  {


    Delay(250);
    GPIO_WriteReverse(GPIOB, GPIO_PIN_5);
  }
}

/**
  * @brief  Configure system clock to run at 16Mhz
  * @param  None
  * @retval None
  */










#ifdef USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *   where the assert_param error has occurred.
  * @param file: pointer to the source file name
  * @param line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */


/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
